<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class Coating extends Model{
    use HasFactory;
    protected $table = 'coating';
    
    protected $fillable = [
        'name',
        'amount',
        'status',
        'created_by',
        'created_at',
        'updated_by',
        'updated_at'
    ];

    public function export($slug){
        $collection = DB::table('coating')
                        ->select('coating.name', 'coating.amount','coating.status');

        if($slug != 'all')
            $collection->where(['coating.status' => $slug]);
        
        $data = $collection->get();
        
        if($data->isNotEmpty()){
            return $data;
        }else{
            return null;
        }
    }
}
